Public Class frmStopwatch

  Private Sub btnStart_Click(ByVal sender As System.Object,
                             ByVal e As System.EventArgs) Handles btnStart.Click
    txtSeconds.Text = "0"  'Reset watch
    tmrWatch.Enabled = True
  End Sub

  Private Sub btnStop_Click(ByVal sender As System.Object,
                            ByVal e As System.EventArgs) Handles btnStop.Click
    tmrWatch.Enabled = False
  End Sub

  Private Sub tmrWatch_Tick(ByVal sender As System.Object,
                            ByVal e As System.EventArgs) Handles tmrWatch.Tick
    'Next line displays the time rounded to one decimal place
    txtSeconds.Text = CStr((CDbl(txtSeconds.Text) + 0.1))
  End Sub

End Class
